org.apache.struts2.el.parser

## Class AstString

- java.lang.Object
- - org.apache.struts2.el.lang.ELSupport
  - - org.apache.struts2.el.parser.SimpleNode
    - - org.apache.struts2.el.parser.AstString

- All Implemented Interfaces:
    Node

      public final class AstString
      extends SimpleNode

  Version:
    $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.el.parser.SimpleNode

      `children, id, image, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AstString(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `Class` | `getType(EvaluationContext ctx)`
    `Object` | `getValue(EvaluationContext ctx)`
    `void` | `setImage(String image)`

    - ### Methods inherited from class org.apache.struts2.el.parser.SimpleNode

      `accept, dump, getImage, getMethodInfo, invoke, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setValue, toString, toString`

    - ### Methods inherited from class org.apache.struts2.el.lang.ELSupport

      `checkType, coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AstString

          public AstString(int id)

  - ### Method Detail

    - #### getString

          public String getString()

    - #### getType

          public Class getType(EvaluationContext ctx)
                        throws javax.el.ELException

      Specified by:
        `getType` in interface `Node`
      Overrides:
        `getType` in class `SimpleNode`
      Throws:
        `javax.el.ELException`

    - #### getValue

          public Object getValue(EvaluationContext ctx)
                          throws javax.el.ELException

      Specified by:
        `getValue` in interface `Node`
      Overrides:
        `getValue` in class `SimpleNode`
      Throws:
        `javax.el.ELException`

    - #### setImage

          public void setImage(String image)

      Overrides:
        `setImage` in class `SimpleNode`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.